#
# spec file for package yast2-http-server
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           yast2-http-server
Version:        4.1.5
Release:        lp151.2.3.1

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  docbook-xsl-stylesheets
BuildRequires:  doxygen
BuildRequires:  libxslt
BuildRequires:  libzio
BuildRequires:  perl-XML-Writer
BuildRequires:  popt-devel
BuildRequires:  sgml-skel
BuildRequires:  update-desktop-files
BuildRequires:  yast2-devtools >= 3.1.10
BuildRequires:  yast2-network
BuildRequires:  yast2-packagemanager-devel
BuildRequires:  yast2-perl-bindings
BuildRequires:  yast2-testsuite
# Yast2::ServiceWidget
BuildRequires:  yast2 >= 4.1.0
Requires:       libzio
Requires:       yast2-network
Requires:       yast2-perl-bindings
# Yast2::ServiceWidget
Requires:       yast2 >= 4.1.0

BuildArch:      noarch

Requires:       yast2-ruby-bindings >= 1.0.0

Summary:        YaST2 - HTTP Server Configuration
License:        GPL-2.0-only
Group:          System/YaST

%description
This package contains the YaST2 component for HTTP server (Apache2)
configuration.

%prep
%setup -n %{name}-%{version}

%build
%yast_build

%install
%yast_install

%files
%defattr(-,root,root)
%dir %{yast_yncludedir}/http-server
%{yast_schemadir}/autoyast/rnc/http-server.rnc
%{yast_yncludedir}/http-server/*
%{yast_clientdir}/http-server.rb
%{yast_clientdir}/http-server_*.rb
%{yast_moduledir}/*
%{yast_desktopdir}/http-server.desktop
%{yast_scrconfdir}/*
%{yast_agentdir}/*
%doc %{yast_docdir}
%{yast_icondir}
%license COPYING

%changelog
* Wed Mar  4 2020 Knut Anderssen <kanderssen@suse.com>
- Propose to restart the http service as the default action when it
  is running (bsc#1165638)
- 4.1.5
* Fri Feb 22 2019 mfilka@suse.com
- bnc#1119455
  - updated list of known modules to guarantee correct load order
- 4.1.4
* Tue Dec 11 2018 jreidinger@suse.com
- always use absolute path to binaries (bsc#1118291)
- properly escape shell arguments (bsc#1118291)
- 4.1.3
* Sat Nov 24 2018 Stasiek Michalski <hellcp@mailbox.org>
- Provide icon with module (boo#1109310)
- 4.1.2
* Tue Oct 16 2018 schubi@suse.de
- Added license file to spec.
* Mon Aug 20 2018 schubi@suse.de
- Switched license in spec file from SPDX2 to SPDX3 format.
* Tue Aug 14 2018 lslezak@suse.cz
- Fixed PHP support (use PHP7 instead of dropped PHP5)
  (bsc#1099106)
- Fixed also the other renamed packages (for Python and apparmor)
- 4.1.1
* Wed Aug  8 2018 dgonzalez@suse.com
- Use new Yast2::ServiceWidget to manage the service status
  (part of fate#319428).
- 4.1.0
* Thu Jun 28 2018 schubi@suse.de
- Added additional searchkeys to desktop file (fate#321043).
- 4.0.3
* Wed May  9 2018 knut.anderssen@suse.com
- Fixed typo in published HttpServerWidgets widget function return
  type (bsc#1092155)
- 4.0.2
* Thu May  3 2018 knut.anderssen@suse.com
- Do not cache the widgets definition until it is really needed to
  avoid showing an out of date firewall description (the apache
  package provides the firewalld service definition and relods the
  firewall after it is installed) (bsc#1083492)
- 4.0.1
* Tue Jan 23 2018 knut.anderssen@suse.com
- Replace SuSEFirewall2 by firewalld. (fate#323460)
- 4.0.0
* Wed Mar 15 2017 ancor@suse.com
- Create a backup at startup of the vhost configuration files to
  be potentially merged during execution (bsc#1027582)
- 3.2.2
* Wed Oct 26 2016 cwh@suse.com
- Adding mod_socache_shmcb if SSL is enabled. (bsc#854570)
- 3.2.1
* Tue Oct 25 2016 cwh@suse.com
- Added 'Options' option for Directory-sections (bsc#707836)
- 3.2.0
* Mon Jun  6 2016 igonzalezsosa@suse.com
- Stop generating autodocs (fate#320356)
- 3.1.7
* Thu Jan 22 2015 jsrain@suse.cz
- check for manually created files in order to prevent data loss
  (bsc#860856)
- 3.1.6
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
* Fri Oct  3 2014 ancor@suse.com
- Dropped the usage of deprecated directives Order, Allow and Deny
  in favor of mod_authz_host.
- 3.1.5
* Tue Sep 16 2014 schubi@suse.de
- AutoYaST: Using HostIP which is given in the host name
  (e.g. *:443/sleposbuilder3.suse.cz.conf) values in order to set
  VirtualHost in /etc/apache2/vhosts.d/<hostname> correctly.
  (bnc#895127)
- 3.1.4
* Tue Sep  9 2014 schubi@suse.de
- Checking initialized/defined variables. (bnc#892933)
- Writing NameVritualHost entry in default-server.conf correctly.
- 3.1.3
* Fri Aug 29 2014 schubi@suse.de
- Autoyast conifuration: "main" defines the default server configured in
  /etc/apache2/default-server.conf. This has already been
  defined in YaPI::HTTPD and has to be updated only.
  (bnc#893100)
- 3.1.2
* Wed Jul 30 2014 cwh@suse.com
- replaced given/when by regular if/elsif cascades to get rid of
  perl's 'experimental' warnings (bnc#889595)
- 3.1.1
* Wed Sep 18 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Fri Aug  9 2013 dmajda@suse.cz
- fixed empty include files produced because of a YCP Killer bug
  (gh#yast/ycp-killer#619)
- 3.0.1
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Tue Jul  9 2013 jsuchome@suse.cz
- sort keys in getHostsList as well
- 2.24.2
* Tue Jul  2 2013 jsuchome@suse.cz
- removed unused widget definitions
- 2.24.1
* Mon Jul  1 2013 jsuchome@suse.cz
- sort array to get deterministic test output
- 2.24.0
* Thu Apr 19 2012 jsrain@suse.cz
- use the ButtonBox widget (bnc#684863)
* Thu Mar 29 2012 jsuchome@suse.cz
- merged proofed texts
- confirmed license
- 2.22.0
* Thu Sep 29 2011 visnov@suse.cz
- set dialog title
- 2.21.0
* Fri Aug  5 2011 tgoettlicher@suse.de
- fixed .desktop file (bnc #681249)
* Mon Jul  4 2011 snwint@suse.de
- fixed typos (bnc #703114)
* Thu Jun 16 2011 locilka@suse.cz
- Fixed 'do not use switch/case' error by replacing with
  'given/when' (BNC #695698)
- Partly fixed indentation in YaPI/HTTPD.pm
- 2.21.1
* Fri Feb 25 2011 jsrain@suse.cz
- fixed server flags handling (bnc#656589)
- 2.20.0
* Thu May 20 2010 mzugec@suse.cz
- fixed help text (bnc#607141)
* Fri May 14 2010 mzugec@suse.cz
- cache module dependency (bnc#592424)
- 2.19.1
* Wed Jan 13 2010 kmachalkova@suse.cz
- Adjusted .desktop file(s) to wrap /sbin/yast2/ calls in xdg-su
  where root privileges are needed, removed X-KDE-SubstituteUID key
  (bnc#540627)
* Mon Jan  4 2010 mzugec@suse.cz
- determine vhost by HostIP instead of ServerName (bnc#567027)
- 2.19.0
* Tue Jul  7 2009 mzugec@suse.cz
- defined proxy_ajp in HTTPModules.pm (bnc#518816)
- 2.18.9
* Tue Jun 16 2009 mvidner@suse.cz
- Using autodocs-ycp.ami, which contains a fix for automake 1.11.
* Thu Apr 23 2009 mzugec@suse.cz
- fixed listen.conf parsing problem (bnc#495429)
- 2.17.8
* Wed Mar 25 2009 mzugec@suse.de
- for name-based vhosts split configuration files (bnc#427427)
- 2.17.7
* Fri Mar 20 2009 mzugec@suse.de
- improved IP addr. validation for ip-based vhosts (bnc#486476)
- 2.18.6
* Fri Mar 20 2009 mzugec@suse.de
- correctly recognize virtual host type (IP/name) (bnc#486475)
- 2.18.5
* Tue Mar 10 2009 mzugec@suse.cz
- CLI can set wizardmode (bnc#378743)
- 2.18.4
* Mon Mar  9 2009 mzugec@suse.cz
- handling of custom modules (see bnc#482424)
- 2.18.3
* Fri Mar  6 2009 mzugec@suse.cz
- modules ordering problem (bnc#350590)
- validation of modules dependency
- 2.18.2
* Tue Mar  3 2009 mzugec@suse.cz
- added X-SuSE-YaST-AutoInstSchema into desktop file (bnc#480466)
- 2.18.1
* Mon Feb 23 2009 mzugec@suse.cz
- fixed text (bnc#476002)
- 2.18.0
* Wed Nov 19 2008 mzugec@suse.cz
- fixed Listen entry problem (bnc#445460)
- 2.17.5
* Fri Nov 14 2008 ug@suse.de
- rnc file fixed
* Mon Sep  8 2008 mzugec@suse.cz
- proofreading
- 2.17.4
* Tue Aug 12 2008 mzugec@suse.de
- removed mod_ruby from wizard (bnc#413523)
- 2.17.3
* Thu Jul  3 2008 mzugec@suse.de
- initial support for IPv6
- 2.17.2
* Sun Jun 29 2008 mzugec@suse.de
- fixed help text about IP-based vhost & SSL (bnc#383720)
- 2.17.1
* Fri Jun 20 2008 mzugec@suse.de
- enable/disable also modules with default=1 (bnc#399288)
- 2.17.0
* Mon Jun  9 2008 mzugec@suse.cz
- DnsServerAPI moved from dns-server into yast2 (bnc#392606)
- 2.16.10
* Fri May 16 2008 jsrain@suse.cz
- added categories Settings and System into desktop file
  (bnc #382778)
* Mon May 12 2008 mzugec@suse.cz
- don't allow user to choose SSL for main host (bnc#383333)
- 2.16.9
* Wed Apr 30 2008 mzugec@suse.cz
- enable/disable https by firewall (bnc#384692)
- 2.16.8
* Tue Apr 22 2008 mzugec@suse.cz
- fixed Missing "Open Firewall Ports" checkbox in wizard expert
  (bnc#378742)
- 2.16.7
* Wed Apr  2 2008 mzugec@suse.de
- check checksums from configuration files (FaTE#303374)
- 2.16.6
* Tue Apr  1 2008 jsrain@suse.cz
- merged texts from proofread
- 2.16.5
* Mon Mar 17 2008 jsrain@suse.cz
- added 'StartupNotify=true' to the desktop file (bnc #304964)
* Tue Feb 26 2008 mzugec@suse.de
- check if network is running
- 2.16.4
* Thu Feb 21 2008 mzugec@suse.de
- text proofread
- 2.16.3
* Thu Jan 24 2008 mzugec@suse.cz
- replace deprecated NetworkDevices by NetworkInterfaces (from yast2)
- 2.16.2
* Tue Jan 22 2008 mzugec@suse.cz
- use SuSEFirewallServices for list of ports (#264112)
- 2.16.1
* Wed Dec  5 2007 mzugec@suse.cz
- be clonable in autoYaST (AutoInstClonable in desktop file)
- 2.15.9
* Tue Dec  4 2007 mzugec@suse.cz
- into IP addresses include also IPs from dhcp interfaces
- improved vhost validation for name-based vhost (#342844)
- 2.15.8
* Wed Aug 22 2007 mzugec@suse.cz
- don't forget values for vhost when go next-back (#299223)
- 2.15.7
* Thu Jul 26 2007 mzugec@suse.cz
- save SSL section correctly (#294679)
- 2.15.6
* Tue Jul 24 2007 mzugec@suse.cz
- optimized for 80x25 in ncurses (#284860)
- 2.15.5
* Thu Jun 21 2007 adrian@suse.de
- fix changelog entry order
* Tue May 29 2007 mzugec@suse.cz
- improved workflow dialogs (host/hosts)
- 2.15.4
* Fri May 11 2007 mzugec@suse.cz
- validation for VhostID when create new virtual host (#245155)
- 2.15.3
* Wed May  9 2007 mzugec@suse.cz
- apache2-mod_ruby dropped, apache2-mod_apparmor renamed to
  mod-apparmor (#259688)
- 2.15.2
* Thu Apr 19 2007 mzugec@suse.cz
- use also additional addresses for Listen and Virtual Hosts (#264393)
- 2.15.1
* Wed Apr 18 2007 mzugec@suse.cz
- couldn't delete virtual host (#265807)
- 2.14.11
* Tue Apr 17 2007 mzugec@suse.cz
- warning message in stdout (#235218)
- mark modules summary for translation
* Thu Mar 22 2007 mzugec@suse.cz
- mark text for translation (#180792)
* Wed Mar 21 2007 mzugec@suse.cz
- apache mod perl not working in for userdir default hosts (#245173)
- 2.14.10
* Fri Mar  9 2007 mzugec@suse.cz
- HTTPD configuration "add modules" list empty (#252348)
- 2.14.9
* Fri Mar  9 2007 mzugec@suse.cz
- remove yast2-firewall dependency (#252975)
* Mon Feb 26 2007 mzugec@suse.cz
- mark "Directory" string for translation
* Thu Feb 22 2007 mzugec@suse.cz
- support for add/edit Directory option (L3 #247337)
- 2.14.8
* Tue Feb 13 2007 mzugec@suse.de
- incorrect order of modules (#243693)
- 2.14.7
* Tue Feb  6 2007 mzugec@suse.de
- missing server modules on 64-bit architecture (#239029)
- 2.14.6
* Wed Jan 10 2007 mzugec@suse.cz
- add http-server.rnc autoyast validation file (#232808)
* Wed Nov 22 2006 mzugec@suse.cz
- #200805 - YaST Fails to Enable UserDir
- 2.14.5
* Mon Nov 20 2006 mzugec@suse.cz
- #220756 - yast2 http-server does not accept any servername
- 2.14.4
* Mon Nov  6 2006 mzugec@suse.cz
- add yast2-dns-server to requires
- 2.14.3
* Tue Oct 31 2006 mzugec@suse.cz
- #180776 - missing option for SSL vhosts
- 2.14.2
* Wed Sep 13 2006 mzugec@suse.cz
- 2.14.1 - #180776 - change work with virtual hosts for better ssl support for future
* Mon Jul 17 2006 mzugec@suse.cz
- 2.13.19 fixed #180792 - untranslated text
* Mon Jul 17 2006 mzugec@suse.cz
- 2.13.18 fixed #188528 - open firewall port 443 if SSLEngine=on
* Mon Jun 12 2006 mzugec@suse.cz
- fixed reopened bug #177797 - assigning to firewall zones using 'any' string
* Tue May 30 2006 mzugec@suse.cz
- fixed #176722 - assigned loopback for firewall
* Tue May 30 2006 mzugec@suse.cz
- fixed #177797 - in wizard mode open/close firewall only for assigned zones
* Mon May 15 2006 mzugec@suse.cz
- fixed #175516 - open firewall on selected ports checkbox is always checked by default
* Tue May  9 2006 mzugec@suse.cz
- fixed #173801 - autoyast profile problem (virtualhosts use IP/server_name syntax)
* Fri Apr  7 2006 mzugec@suse.cz
- #164036 - Bad entry in http-server for UserDir
* Thu Mar 23 2006 mzugec@suse.cz
- fixed #160315 - check if user is root
* Thu Mar 16 2006 mzugec@suse.cz
- fixed #157922 - ssl apache flag
* Wed Mar 15 2006 mzugec@suse.cz
- fixed problem in validate_servername()
* Wed Mar 15 2006 mzugec@suse.cz
- fixed #157895 - handling firewall settings
* Mon Mar 13 2006 mzugec@suse.cz
- fixed #152015 - added mod_apparmor to modules, apache2.0->2.2 modules
* Fri Feb 17 2006 mzugec@suse.cz
- fixed #147600 - dont use unconfigured dns
* Thu Feb 16 2006 mzugec@suse.cz
- fixed #147613 - optimalize listen dialog for 25 lines
* Mon Jan 23 2006 mzugec@suse.cz
- NetworkManager confirmation
* Mon Jan 23 2006 mzugec@suse.cz
- proofread
* Mon Jan 23 2006 mzugec@suse.cz
- fixed #128226 - enabled basic modules
* Tue Dec 20 2005 mzugec@suse.cz
- initial SL10.1
* Thu Dec 15 2005 mzugec@suse.cz
- remove deprecated lookup
* Thu Dec 15 2005 mzugec@suse.cz
- change deprecated find to search
* Tue Nov 29 2005 mzugec@suse.cz
- fixed #135884 - wizard mode without network cards
* Wed Nov  9 2005 mzugec@suse.cz
- tabbed main dialog
* Thu Oct 20 2005 visnov@suse.cz
- fix typo
* Wed Oct 19 2005 visnov@suse.cz
- added type info for HTTPData::Error
* Thu Oct 13 2005 mzugec@suse.cz
- proofread
* Tue Sep  6 2005 mzugec@suse.cz
- fixed (#115301)
* Mon Aug 29 2005 mzugec@suse.cz
- fixed (#106203)
* Fri Aug 19 2005 mzugec@suse.cz
- add write to dns
* Tue Aug  9 2005 mzugec@suse.cz
- fixed bug #102560 rpm requires from Read()
* Tue Aug  9 2005 mzugec@suse.cz
- fixed (#102561) missing help
* Fri Aug  5 2005 mzugec@suse.cz
- wizard for virtual hosts with public_html
* Fri Aug  5 2005 mzugec@suse.cz
- fixed bug #102310 (virtual servers in wizard mode)
* Wed Aug  3 2005 mzugec@suse.cz
- wizard for virtual hosts with DirectoryIndex
* Mon Aug  1 2005 mzugec@suse.cz
- wizard for virtual hosts with cgi
* Fri Jul 29 2005 mzugec@suse.cz
- wizard for virtual hosts with ssl
* Thu Jul 28 2005 mzugec@suse.cz
- changed  wizard for virtual hosts
* Mon Jul 18 2005 mzugec@suse.cz
- rewrited aviable options from modules map
* Wed May  4 2005 visnov@suse.cz
- replaced 'default'
* Tue Apr 19 2005 mzugec@suse.de
- upgrade to new ProductFeatures
* Tue Apr 19 2005 mzugec@suse.de
- compatibility for new ProductFeatures
* Fri Apr 15 2005 mzugec@suse.de
- fixed #75268 ssl configuration and #77921 virtual hosts
* Tue Mar 15 2005 mzugec@suse.cz
- fixed #72327, APACHE_MODULES problem
* Mon Feb 28 2005 visnov@suse.cz
- fixed localization problems
* Mon Feb 21 2005 mzugec@suse.cz
- wizard dialogs on first run of http-server
* Tue Feb  1 2005 miso@suse.cz
- show relevant data by pressing back button in SSL dialog
* Fri Jan 28 2005 mzugec@suse.cz
- don't show certificate helps on box
- 2.11.3
* Wed Dec 15 2004 visnov@suse.cz
- cleanup NFB
- 2.11.2
* Tue Nov  2 2004 visnov@suse.cz
- fix module
- 2.11.1
* Tue Nov  2 2004 visnov@suse.cz
- adapt for new Mode
- 2.11.0
* Mon Nov  1 2004 visnov@suse.cz
- agent should not crash on errors (#46323)
- fix import of firewall and its handling in autoyast UI
* Tue Oct 19 2004 locilka@suse.cz
- using global text-messages anywhere it is possible
* Tue Oct  5 2004 visnov@suse.cz
- set module state also according to the needed packages (#46662)
- prompt for installing packages needed by modules (#46661)
- 2.10.8
* Fri Sep 24 2004 visnov@suse.cz
- quoting bug in directory path fixed (#45922)
- 2.10.7
* Mon Sep 20 2004 jsrain@suse.cz
- fixed Table/Popup's complains about unknown attributes (#45613)
- 2.10.6
* Mon Sep 13 2004 visnov@suse.cz
- also validate server admin email
- 2.10.5
* Mon Sep  6 2004 visnov@suse.cz
- added SetModified and GetModified for autoyast
- 2.10.4
* Mon Aug 30 2004 visnov@suse.cz
- fixed reloading of server
- fixed log viewing
- 2.10.3
* Mon Aug 30 2004 nashif@suse.de
- Added GetModified function to _auto client
* Fri Aug 27 2004 visnov@suse.cz
- merged proofread texts
- fixing SSL option handling (#42783)
* Thu Aug 26 2004 visnov@suse.cz
- allow the same option multiple times (#42783)
* Wed Aug 25 2004 visnov@suse.cz
- really adapt the firewall
- for autoyast, allow to change the config
* Mon Aug 16 2004 visnov@suse.cz
- fixed types of functions for CWM
- 2.10.2
* Tue Aug 10 2004 jsrain@suse.cz
- merged texts from proofread
* Wed Aug  4 2004 visnov@suse.cz
- adapt for the new CWM interface
- fix crashes via invalid function pointers
- 2.10.1
* Tue Aug  3 2004 visnov@suse.cz
- don't allow certificate management in simple mode
- 2.10.0
* Thu May 20 2004 visnov@suse.cz
- validate the modified host before accepting (#40141)
- also allow to choose from dynamic IP addresses (#40769)
- 2.9.26
* Tue May 18 2004 ug@suse.de
- replaced _ by __ in httpdUtils.pm
* Tue May 18 2004 ug@suse.de
- $VERSION and @CAPABILITIES fixed
* Tue May 18 2004 ug@suse.de
- checkHostmap during modification too
* Tue May 18 2004 visnov@suse.cz
- start/stop apache2 server (#40745)
- 2.9.25
* Thu May 13 2004 visnov@suse.cz
- 2.9.24
* Thu May 13 2004 ug@suse.de
- wrong SSLCertKeyFile fixed if admins plays
  around a lot with certificates and keys
* Thu May 13 2004 ug@suse.de
- certificate stuff cleanup and fix of file
  permissions
* Wed May 12 2004 visnov@suse.cz
- 2.9.23
* Wed May 12 2004 ug@suse.de
- certificate stuff cleanup and fix for default server
* Wed May 12 2004 visnov@suse.cz
- implemented import certificate (#40272)
* Wed May 12 2004 ug@suse.de
- certificate stuff in YaPI::HTTPD fixed
- certificate stuff in YaST::HTTPDData implemented
* Mon May 10 2004 visnov@suse.cz
- require server admin when creating a new host (#40141)
- fix syntax for description of LogView (#39376)
- setup common certificate (#40272)
- display correct contents after adding user-defined module (#40308)
- correctly reset configuration in autoyast (#38812)
* Mon May 10 2004 ug@suse.de
- dropped the run-function from YaST/HTTPData.pm
  It was just for testing the stateful API.
* Mon May 10 2004 ug@suse.de
- using __(...) instead of _(...) now
* Wed May  5 2004 ug@suse.de
- fixed the path for the certificate files
* Tue May  4 2004 visnov@suse.cz
- merged in proofread text
* Mon May  3 2004 ug@suse.de
- fixed bugs found via testscrips
  * server flags are not saved
  * GetModulePackages fixed
* Thu Apr 29 2004 visnov@suse.cz
- server certificate support UI added
- 2.9.22
* Wed Apr 21 2004 visnov@suse.cz
- fix type error (#38813)
- cleanup error message in autoyast on adding Listen
* Mon Apr 19 2004 visnov@suse.cz
- added missing helps (#37334)
- exporting module list for autoyast fixed (#30689)
- 2.9.21
* Fri Apr 16 2004 ug@suse.de
  . ReloadService implemented
* Mon Apr  5 2004 ug@suse.de
- order of mod_ldap and mod_auth_ldap fixed (#31436 again)
- 2.9.20
* Fri Apr  2 2004 visnov@suse.cz
- YaST2 is now GPL
- 2.9.19
* Thu Apr  1 2004 visnov@suse.cz
- fix CWM-related errors
- show elipsis for more details (#37439)
- hide log button for autoyast
- don't crash autoyast
- 2.9.18
* Thu Apr  1 2004 ug@suse.de
- removed obsolete code from HTTPD.pm
- fixed firewall stuff
* Wed Mar 31 2004 visnov@suse.cz
- removed obsolete code (#37652)
- 2.9.17
* Wed Mar 31 2004 visnov@suse.cz
- 2.9.16
* Tue Mar 30 2004 visnov@suse.cz
- fixed firewall setting in UI
* Tue Mar 30 2004 ug@suse.de
- fixed double "NameVirtualHost" entries
- fixed broken DeleteListen()
* Tue Mar 30 2004 ug@suse.de
- moved internal functions from HTTPD.pm to httpdUtils.pm
* Mon Mar 29 2004 visnov@suse.cz
- use `Value, not `Enabled in query widget (fix IP-based host validation)
- fix CWM errors
- 2.9.15
* Mon Mar 29 2004 visnov@suse.cz
- removed debug
- build fix (perl-gettext into NFB)
- 2.9.14
* Fri Mar 26 2004 visnov@suse.cz
- allow to add directory
- VirtualByName handling fixes
- 2.9.13
* Wed Mar 24 2004 visnov@suse.cz
- allow to enter port as a part of IP spec for vhosts
- validation of mixing IP-based and name-based vhosts
- fixed configuration of VirtualByName
- 2.9.12
* Wed Mar 24 2004 visnov@suse.cz
- enable/disable overview widget according to the service status
* Mon Mar 22 2004 visnov@suse.cz
- default host indication fixed
- directory option is editable now
- 2.9.11
* Fri Mar 19 2004 visnov@suse.cz
- allow to edit DocumentRoot
- limit length of texts in overview
- more values validation
- 2.9.10
* Wed Mar 17 2004 visnov@suse.cz
- 2.9.9
* Wed Mar 17 2004 visnov@suse.cz
- finished help texts
- show abort confirmation dialog
* Tue Mar 16 2004 visnov@suse.cz
- validate ServerName (#35017)
* Mon Mar 15 2004 visnov@suse.cz
- added yast2-perl-bindings to requires
- disable old testsuite
- 2.9.8
* Wed Mar 10 2004 visnov@suse.cz
- do not generate certificate
- set as default works
- use server names in dialogs
- show document root in hosts list
- various fixes
* Wed Mar 10 2004 visnov@suse.cz
- fixed crash (#35520) - ug@suse.de
- 2.9.7
* Wed Mar 10 2004 sh@suse.de
- V 2.9.6
- Migration to new wizard
* Mon Mar  8 2004 visnov@suse.cz
- pack files
* Mon Mar  8 2004 visnov@suse.cz
- removed yast2-packager from requires
- 2.9.5
* Mon Mar  8 2004 visnov@suse.cz
- added list of options for hosts (#31438)
- configuration of SSL
- wizard icon added
- general functionality is there
- removed obsolete agents and code
* Wed Mar  3 2004 visnov@suse.cz
- fix build
- 2.9.4
* Mon Mar  1 2004 visnov@suse.cz
- some type info
- 2.9.3
* Fri Feb 27 2004 visnov@suse.cz
- merged proofread texts
* Wed Feb 25 2004 visnov@suse.cz
- helps
- new UI design implemented, read-only
* Mon Feb  9 2004 visnov@suse.cz
- drop y2cc file
- fixed neededforbuild
- 2.9.2
* Fri Feb  6 2004 visnov@suse.cz
- fixes for NI (it at least starts)
- 2.9.1
* Wed Oct 29 2003 visnov@suse.cz
- fix testsuite
- adapted for TablePopup
- 2.9.0
* Mon Sep 22 2003 visnov@suse.de
- fix #31438 - if user adds its own options to the
  configuration, write them to the httpd.conf without
  any changes
- show only packages, which are not installed, not
  all packages required be the enabled modules.
- 2.8.17
* Fri Sep 19 2003 visnov@suse.de
- refix #31306 - handle PHP as a special case.
- 2.8.16
* Thu Sep 18 2003 visnov@suse.de
- do not trigger package installation for modules, if
  user didn't change module configuration. This way, default
  configuration can contain PHP4, but YaST2 will not ask to install
  corresponding package until user changes module status.
  (#31306)
- 2.8.15
* Mon Sep 15 2003 visnov@suse.de
- setenvif should be on by default (#30689)
- 2.8.14
* Sat Sep 13 2003 nashif@suse.de
- Enable service in autoinst mode
- Fixed package list for autoinstall
- 2.8.13
* Fri Sep 12 2003 visnov@suse.de
- first test installed MPMs, then try to install at least one (#30567)
- 2.8.12
* Mon Sep  8 2003 nashif@suse.de
- #30291: return list of required packages when autoinstalling
- 2.8.11
* Mon Sep  8 2003 visnov@suse.de
- fix autoyast mode (similar to #30161)
- 2.8.10
* Fri Sep  5 2003 visnov@suse.de
- merged in proofread texts
- 2.8.9
* Tue Sep  2 2003 visnov@suse.de
- show document root from sysconfig or /etc/apache2/default-server.conf (#29674)
* Mon Sep  1 2003 visnov@suse.de
- do not configure document root (#29674)
- better handle older configs: do not require listen.conf, do not allow
  empty Listen list, write it to listen.conf
- 2.8.8
* Fri Aug 29 2003 visnov@suse.de
- fix php4 needed package (#29659)
* Fri Aug 29 2003 visnov@suse.de
- fix command line interface
- fix autoyast (provide module description after Import)
- close "add user-define module" dialog on Cancel
- 2.8.7
* Fri Aug 29 2003 visnov@suse.de
- Do not check availability of apache2 package, first try to install it (#29577)
- Install all Apache2 MPMs, because package manager does not handle user
  choices (#29573)
* Mon Aug 25 2003 visnov@suse.de
- 2.8.6
* Thu Aug 21 2003 visnov@suse.de
- Add error popup if packages are not installed
* Wed Aug 20 2003 visnov@suse.de
- Do not show Initializing... dialog
* Mon Aug 18 2003 visnov@suse.de
- ssl is default, status not
- use /etc/apache2/listen.conf
- do not store any options in httpd.conf anymore
- 2.8.5
* Mon Aug 11 2003 visnov@suse.de
- merged-in proofread texts
- 2.8.4
* Fri Aug  8 2003 visnov@suse.de
- Apache2 modules can install additional RPMs
- do not show logs in AutoYaST
- fix httpd agent
- fix syntax errors
- 2.8.3
* Tue Aug  5 2003 visnov@suse.de
- allow to adapt firewall only if the firewall is enabled
* Mon Aug  4 2003 visnov@suse.de
- adapt firewall if asked for
- 2.8.2
* Thu Jul 31 2003 visnov@suse.de
- allow to add user-defined modules
- show all known modules
* Wed Jul 30 2003 visnov@suse.de
- do not complain about unknown modules
- show unknown modules as well
- 2.8.1
* Wed Jul 30 2003 visnov@suse.de
- autoyast support added
- command line interface implemented
- allow to show error log
- support for APACHE_ACCESS_LOG from sysconfig
* Thu Jun 19 2003 visnov@suse.cz
- initial version
